## ros-indigo-nao-apps 0.5.15

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(nao_apps)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
)

catkin_python_setup()

catkin_package(
)

catkin_install_python(PROGRAMS ./nodes/nao_alife.py ./nodes/nao_behaviors.py ./nodes/nao_diagnostic_updater.py
    ./nodes/nao_footsteps.py ./nodes/nao_leds.py ./nodes/nao_speech.py ./nodes/nao_tactile.py ./nodes/nao_walker.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-nao-apps (0.5.15-0trusty) trusty; urgency=high

  * add missing dependencies
  * renamed tacticle to tactile
  * [nao_apps] Fixing bug generated when renaming in naoqi_bridge_msgs TactileTouch to HeadTouch
  * Fix hard-coded node name in dynamic_reconfigure.client, closes #26 <https://github.com/ros-naoqi/nao_robot/issues/26>
  * Contributors: Felip Marti, Mikael Arguedas, Stefan Osswald

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Wed, 23 Nov 2016 08:00:00 -0000

ros-indigo-nao-apps (0.5.14-0trusty) trusty; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 23 Jan 2016 08:00:00 -0000

ros-indigo-nao-apps (0.5.13-0trusty) trusty; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sat, 16 Jan 2016 08:00:00 -0000

ros-indigo-nao-apps (0.5.12-0trusty) trusty; urgency=high

  * change from naoqi_driver.cfg to naoqi_driver_py.cfg
  * Contributors: Kanae Kochigami

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 01 Jan 2016 08:00:00 -0000

ros-indigo-nao-apps (0.5.11-0trusty) trusty; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 11 Aug 2015 07:00:00 -0000

ros-indigo-nao-apps (0.5.10-0trusty) trusty; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 31 Jul 2015 07:00:00 -0000

ros-indigo-nao-apps (0.5.9-0trusty) trusty; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 30 Jul 2015 07:00:00 -0000

ros-indigo-nao-apps (0.5.8-0trusty) trusty; urgency=high

  * transfer to naoqi_py
  * use naoqi_pose instead of nao_pose
  * Contributors: Karsten Knese, Kei Okada

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 30 Jul 2015 07:00:00 -0000

ros-indigo-nao-apps (0.5.7-0trusty) trusty; urgency=high

  * properly install Python scripts
    This fixes #19 <https://github.com/ros-naoqi/nao_robot/issues/19>
  * no need for custom file
  * enable goto initial pose to start walking
  * Contributors: Karsten Knese, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 27 Mar 2015 07:00:00 -0000

ros-indigo-nao-apps (0.5.6-0trusty) trusty; urgency=high

  * Cleanup and rename launch files
  * Contributors: Karsten Knese

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 27 Feb 2015 08:00:00 -0000

ros-indigo-nao-apps (0.5.5-0trusty) trusty; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 17 Feb 2015 08:00:00 -0000

ros-indigo-nao-apps (0.5.4-0trusty) trusty; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 17 Feb 2015 08:00:00 -0000

ros-indigo-nao-apps (0.5.3-0trusty) trusty; urgency=high

  * check naoqi version and exit if not supported
  * add nodes/nao_alife.py launch/nao_alife.launch
  * add .launch files
  * Contributors: Kei Okada

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 14 Dec 2014 08:00:00 -0000

ros-indigo-nao-apps (0.5.2-0trusty) trusty; urgency=high

  * remove trailing spaces
  * add nao_speech.launch
  * Contributors: Kanae Kochigami, Mikael ARGUEDAS

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 04 Dec 2014 08:00:00 -0000

ros-indigo-nao-apps (0.5.1-0trusty) trusty; urgency=high

  * Merge pull request #2 <https://github.com/ros-naoqi/nao_robot/issues/2> from k-okada/encode_utf8
    vocabulary must encode to utf8
  * bugfix: missing reconfigure in naoqi_driver
  * vocabulary must encode to utf8
  * bugfix: python imports
  * Contributors: Karsten Knese, Kei Okada, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 13 Nov 2014 08:00:00 -0000

ros-indigo-nao-apps (0.5.0-0trusty) trusty; urgency=high

  * cleanups
  * transfer nao_robot apps
  * merge from nao_driver into nao_apps
  * Contributors: Karsten Knese, Vincent Rabaud

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 06 Nov 2014 08:00:00 -0000

=== debian/control ===
Source: ros-indigo-nao-apps
Section: misc
Priority: extra
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-trajectory-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-nao-apps
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-diagnostic-msgs, ros-indigo-dynamic-reconfigure, ros-indigo-geometry-msgs, ros-indigo-humanoid-nav-msgs, ros-indigo-naoqi-bridge, ros-indigo-naoqi-bridge-msgs, ros-indigo-naoqi-driver, ros-indigo-naoqi-driver-py, ros-indigo-naoqi-pose, ros-indigo-rospy, ros-indigo-std-msgs, ros-indigo-std-srvs
Description: Applications for NAO using the NAOqi API

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-nao-apps//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
